<?xml version="1.0" encoding="UTF-8"?>
<FindBugsFilter>
  <Match>
  　　 <Bug pattern="
        BC_UNCONFIRMED_CAST,
        NM_CONFUSING,
        NM_SAME_SIMPLE_NAME_AS_SUPERCLASS,
        NP_UNWRITTEN_FIELD,
        SE_TRANSIENT_FIELD_NOT_RESTORED,
        SIC_INNER_SHOULD_BE_STATIC_ANON,
        UWF_FIELD_NOT_INITIALIZED_IN_CONSTRUCTOR,
        UWF_UNWRITTEN_FIELD"/>
  </Match>
  <Match>
    <Class name="org.unitedfront2.validation.HtmlValidate"/>
    <Method name="validateStartTag"/>
    <Bug pattern="PZLA_PREFER_ZERO_LENGTH_ARRAYS"/>
  </Match>
</FindBugsFilter>
